from setuptools import setup, find_packages

name = "erp5.recipe.softwareinstance"
version = '0.1'

def read(name):
    return open(name).read()

long_description=( read('README.txt')
                   + '\n' +
                   read('CHANGES.txt')
                 )

setup(
    name = name,
    version = version,
    author = "Lukasz Nowak",
    author_email = "luke@nexedi.com",
    description = "ZC Buildout recipe for create instance of a software",
    long_description=long_description,
    license = "ZPL 2.1",
    keywords = "software compilation buildout",
    classifiers=[
        "License :: OSI Approved :: Zope Public License",
        "Framework :: Buildout",
        ],
    packages = find_packages('src'),
    package_dir = {'': 'src'},
    include_package_data = True,
    install_requires = ['zc.recipe.egg', 'setuptools', 'zc.recipe.cmmi'],
    namespace_packages = ['erp5', 'erp5.recipe'],
    entry_points = {'zc.buildout': ['default = %s:Recipe' % name]},
    )
